---
agentTools:
  projectIndex: https://docs.nvecta.com/llms.txt
---

# /conversion/order_remark

Update order custom value or order remark.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "description": "InviteReferrals provides conversion, user and gdpr API<br><h2>Rate limiting</h2><p>Currently, we apply a 'soft' limit of 5,000 API calls per hour. Get in touch with us if you need to increase it. If your request rate exceeds our limits, you will receive an HTTP status of 429 with an error code 'too_many_calls'.</p>",
    "version": "1.0.0",
    "title": "InviteReferrals Api",
    "termsOfService": "",
    "contact": {
      "email": "plugins@tagnpin.com"
    }
  },
  "tags": [
    {
      "name": "conversion",
      "description": "Add conversion, Confirm Conversion, Reject Conversion etc."
    }
  ],
  "paths": {
    "/conversion/order_remark": {
      "post": {
        "tags": [
          "conversion"
        ],
        "summary": "",
        "description": "Update order custom value or order remark.",
        "operationId": "Update order custom value or order remark.",
        "parameters": [
          {
            "name": "x-brand-id",
            "in": "header",
            "description": "Get brand id from InviteReferrals account",
            "required": true,
            "schema": {
              "type": "integer"
            }
          },
          {
            "name": "x-api-key",
            "in": "header",
            "description": "Get secret key from InviteReferrals account",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/order_remark"
              }
            }
          },
          "description": "Body Parameter",
          "required": true
        },
        "responses": {
          "200": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_200"
                }
              }
            }
          },
          "400": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_400"
                }
              }
            }
          },
          "401": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_401"
                }
              }
            }
          },
          "403": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_403"
                }
              }
            }
          },
          "500": {
            "description": "status",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/inline_response_500"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://www.ref-r.com/api/v1"
    }
  ],
  "components": {
    "schemas": {
      "order_remark": {
        "type": "object",
        "properties": {
          "order_id": {
            "type": "string",
            "example": "123XX",
            "description": "OrderID value associated with the conversion"
          },
          "campaign_id": {
            "type": "integer",
            "format": "int64",
            "example": 10,
            "description": "ID of the campaign"
          },
          "event": {
            "type": "string",
            "format": "",
            "example": "sale",
            "description": "Specific event(sale/register) in which the conversion is made"
          },
          "custom_value": {
            "type": "string",
            "format": "",
            "example": "",
            "description": "Any custom parameter related to conversion"
          },
          "order_remark": {
            "type": "string",
            "format": "",
            "example": "",
            "description": "Update order remark related to conversion"
          }
        }
      },
      "inline_response_200": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Success",
            "description": "Success"
          },
          "status": {
            "type": "number",
            "example": 200,
            "description": "200"
          }
        }
      },
      "inline_response_400": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Bad Request",
            "description": "Bad Request"
          },
          "status": {
            "type": "number",
            "example": 400,
            "description": "400"
          }
        }
      },
      "inline_response_401": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Invalid Data",
            "description": "Invalid Data"
          },
          "status": {
            "type": "number",
            "example": 401,
            "description": "401"
          }
        }
      },
      "inline_response_403": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Required Parameters Missing",
            "description": "Required Parameters Missing"
          },
          "status": {
            "type": "number",
            "example": 403,
            "description": "403"
          }
        }
      },
      "inline_response_500": {
        "type": "object",
        "properties": {
          "message": {
            "type": "string",
            "example": "Something Went Wrong",
            "description": "Something Went Wrong"
          },
          "status": {
            "type": "number",
            "example": 500,
            "description": "500"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  },
  "_id": {
    "buffer": {
      "0": 103,
      "1": 217,
      "2": 114,
      "3": 181,
      "4": 163,
      "5": 0,
      "6": 230,
      "7": 0,
      "8": 83,
      "9": 77,
      "10": 232,
      "11": 124
    }
  }
}
```